## ECalBackendFactory

ECalBackendFactory — The factory for creating new calendars

## Types and Values

struct | ECalBackendFactory
struct | ECalBackendFactoryClass

## Includes

    #include <libedata-cal/libedata-cal.h>

## Description

This class handles creation of new calendars of various backend types.

## Functions

## Types and Values

### struct ECalBackendFactory

    struct ECalBackendFactory {
    };

Contains only private data that should be read and manipulated using the functions below.

### struct ECalBackendFactoryClass

    struct ECalBackendFactoryClass {
    	/* Subclasses just need to set these
    	 * class members, we handle the rest. */
    	const gchar *factory_name;
    	icalcomponent_kind component_kind;
    	GType backend_type;
    };

Class structure for the ECalBackendFactory class.

Subclasses need to set the factory name and backend type at initialization, the base class will take care of creating backends of the specified type on demand.

#### Members

const gchar *`factory_name`; | The string identifier for this book backend type |
icalcomponent_kind `component_kind`; | The type if component this calendar backend should be created for |
GType `backend_type`; | The GType to use to build EBookBackends for this factory |